[arch-commits] Commit in qtcurve-kde4/trunk (PKGBUILD build-fix.patch)

Pierre Schmitz pierre at archlinux.org
Wed Jan 6 14:16:24 UTC 2010


    Date: Wednesday, January 6, 2010 @ 09:16:23
  Author: pierre
Revision: 62283

upgpkg: qtcurve-kde4 1.0.0-1
    upstream update

Added:
  qtcurve-kde4/trunk/build-fix.patch
Modified:
  qtcurve-kde4/trunk/PKGBUILD

-----------------+
 PKGBUILD        |   18 +++++++++++++-----
 build-fix.patch |   11 +++++++++++
 2 files changed, 24 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-06 14:16:08 UTC (rev 62282)
+++ PKGBUILD	2010-01-06 14:16:23 UTC (rev 62283)
@@ -2,25 +2,33 @@
 # Maintainer: Pierre Schmitz <pierre at archlinux.de>
 
 pkgname=qtcurve-kde4
-pkgver=0.69.2
+pkgver=1.0.0
 pkgrel=1
 arch=('i686' 'x86_64')
 groups=('qtcurve')
 license='GPL'
 pkgdesc='A configurable set of widget styles for KDE and Gtk'
-source=("http://craigd.wikispaces.com/file/view/QtCurve-KDE4-${pkgver}.tar.bz2")
 url='http://www.kde-look.org/content/show.php?content=40492'
+source=("http://craigd.wikispaces.com/file/view/QtCurve-KDE4-${pkgver}.tar.bz2"
+        'build-fix.patch')
+depends=('kdebase-workspace')
 makedepends=('cmake' 'automoc4')
-depends=('kdebase-workspace')
-md5sums=('4c346e64459cdae62479f2e7130cf562')
+md5sums=('5552fa037d903b025309fa05fe635f8f'
+         '4f6ad8d7ce2b51e4ae43a0408c4278b7')
 
 build() {
-	cd $srcdir
+	cd $srcdir/QtCurve-KDE4-${pkgver}
+	patch -p1 -i $srcdir/build-fix.patch || return 1
+	cd ..
 	mkdir build
 	cd build
 	cmake ../QtCurve-KDE4-${pkgver} \
 		-DCMAKE_BUILD_TYPE=Release \
 		-DCMAKE_INSTALL_PREFIX=/usr
 	make
+}
+
+package() {
+	cd $srcdir/build
 	make DESTDIR=$pkgdir install
 }

Added: build-fix.patch
===================================================================
--- build-fix.patch	                        (rev 0)
+++ build-fix.patch	2010-01-06 14:16:23 UTC (rev 62283)
@@ -0,0 +1,11 @@
+--- QtCurve-KDE4-1.0.0/style/qtcurve.cpp	2010-01-04 19:19:24.000000000 +0100
++++ QtCurve-KDE4-1.0.0/style/qtcurve.cpp	2010-01-06 14:58:34.977943636 +0100
+@@ -1113,8 +1113,6 @@
+     // NOTE: This call will never actually happen, its only here so that the qtcurve.so
+     // contains a kio link so that this is not removed by some 'optimisation' of the
+     // link process.
+-    if((int)this==(int)itsHoverWidget)
+-        (void)KFileDialog::getSaveFileName();
+ #endif
+ }
+ 




More information about the arch-commits mailing list